#
# spec file for package thecus-io (Version 0.1)
#

# nodebuginfo

Name:           thecus-io
BuildRequires:  kernel-source kernel-syms module-init-tools
Group:          System/Kernel
AutoReqProv:    on
Summary:        Thecus IO/Watchdog driver
Version:        0.1
Release:        7.1
Source:         %name.tar.bz2
Patch0:		%name.patch
Patch1:		%name-makefile.patch
Source1:        preamble
License:        GPL v2 or later
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
ExcludeArch:    s390 s390x ppc ppc64 ia64

%if 0%{?suse_vesion} >= 1220
%suse_kernel_module_package -n thecus-io -p %_sourcedir/preamble kdump pae desktop um ec2 s390 iseries64
%else
%suse_kernel_module_package -n thecus-io -p %_sourcedir/preamble kdump um ec2 s390 iseries64
%endif

%description
Watchdog driver for thecus NAS systems.

%package KMP
Group:          System/Kernel
License:        GPL v2 or later
Summary:        Thecus IO/Watchdog driver
PreReq:         coreutils grep

%description KMP
Watchdog driver for thecus NAS systems

%prep
%setup -q -n %name
%patch0
%patch1
set -- *
mkdir source
mv "$@" source/
mkdir obj

%build
export EXTRA_CFLAGS='-DVERSION=\"%version\"'
for flavor in %flavors_to_build; do
    rm -rf obj/$flavor
    cp -r source obj/$flavor
    make -C /usr/src/linux-obj/%_target_cpu/$flavor modules \
       M=$PWD/obj/$flavor
done

%install
# Kernel module
export INSTALL_MOD_PATH=$RPM_BUILD_ROOT
export INSTALL_MOD_DIR=updates
for flavor in %flavors_to_build; do
     make -C /usr/src/linux-obj/%_target_cpu/$flavor modules_install \
        M=$PWD/obj/$flavor
done
cd source

%clean
rm -rf $RPM_BUILD_ROOT

